Vine Linux バグトラッキングシステム

課題の詳細を表示 コメントにジャンプ ] 課題の履歴 ] 印刷 ]
IDプロジェクトカテゴリ登録日最終更新
0002650requests1 要望2013-09-19 13:092013-10-09 20:15
報告者takezou06 
担当者yasumichi 
優先度再現性未試験 
状態完了解決状況実装済 
バージョン6.1 
修正予定バージョン修正済バージョン6.1 
概要0002650: (Vine 6.1)plusでの継続希望パッケージ[xpaint]
説明(Vine 6.1)plusでの継続希望パッケージ[xpaint]
xpaintは、お手軽なペイントツールということで、できれば継続していただければと思います。
(代用としては、GIMPになると思いが、お手軽感はやはりxpaintになりますので)

ソースは、それなりにメンテされているようです。
最新版は、xpaint-2.9.9で、libxaw3dxftのライブラリが必要のようです。
(libxaw3dxftは、xpaintから分離独立したライブラリのようです。)

RHEL6(CentOS6)などのSRPMを参考にするとメンテナンスの手間が軽減するかもしれません。

よろしくお願いします。
タグ設定されていません。
添付ファイル

- 関連

-  コメント
(0008141)
yasumichi (開発者)
2013-10-05 11:32
更新日時: 2013-10-05 11:33

遅くなりましたが、本日、

xpaint-2.9.9.4-1vl6
libXaw3dXft-1.6.2b-1vl6
libXaw3dXft-devel-1.6.2b-1vl6

のパッケージをアップロードしました。調整が不十分なところもあるかと思いますのでテストのほど、よろしくお願いします。

(0008144)
takezou06 (報告者)
2013-10-07 02:15

対応ありがとうございます。

アプリ(xpaint)の動作確認はこれから行います。

パッケージの依存関係として、
xpaint-2.7.8.1の場合、Xaw3d(Xaw3d-1.5E-7vl6)が必須。
 |
 V
xpaint-2.9.9.4の場合、libXaw3dXft(libXaw3dXft-1.6.2b)が必須に変わります。


xpaintは、アップデート(2.7.8.1->2.9.9.4)されます。不要になった
Xaw3dは、そのまま残っています。(現状)
依存関係の整理(不要パッケージのクリーニングが必要かと思います。)

[xpaintのrequires 依存関係の情報(抜粋)]
#########################################
##xpaint-2.7.8.1
$ rpm -qR xpaint
rpmlib(VersionedDependencies) <= 3.0.3-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(CompressedFileNames) <= 3.0.4-1
libX11.so.6
libXaw3d.so.7
libXext.so.6
libXpm.so.4
libXt.so.6

#########################################
##xpaint-2.9.9.4-1vl6
$ rpm -qR xpaint
/bin/bash
config(xpaint) = 2.9.9.4-1vl6
libICE.so.6
libSM.so.6
libX11.so.6
libXaw3dXft
libXaw3dxft.so.8
libXext.so.6
libXft.so.2

#########################################
(0008145)
yasumichi (開発者)
2013-10-07 20:08

$ apt-cache search whatdepends Xaw3d

の結果、依存しているパッケージがなさそうなので libXaw3dXft で Obsoletes にしてしまうのが良いかもしれません。一旦、担当者決定に戻します。
(0008146)
yasumichi (開発者)
2013-10-07 20:21

Obsoletes したバージョンの libXaw3dXft をインストールを試みた所

libXaw3d.so.7()(64bit) は (インストール済み)xfig-3.2.5b-1vl6.x86_64 に必要とされています

というメッセージがでたため、Xaw3d の削除は見送ります。テスト待ちに戻します。

# xfig 側で本当に必要なのかは未調査ですが…
(0008147)
yasumichi (開発者)
2013-10-07 20:32

$ apt-cache whatdepends Xaw3d
Xaw3d-1.5E-6vl5
  compat32-Xaw3d.32bit-1.5E-6vl5
    依存: Xaw3d = 1.5E-6vl5
  Xaw3d-devel-1.5E-6vl5
    依存: Xaw3d = 1.5E-6vl5
  TiMidity++4ALSA-2.13.2-10vl7
    依存: Xaw3d
  xvkbd-2.8-1vl5
    依存: <libXaw3d.so.7()(64bit)>
      Xaw3d-1.5E-6vl5
  xfig-3.2.5b-1vl6
    依存: <libXaw3d.so.7()(64bit)>
      Xaw3d-1.5E-6vl5
  xbill-2.1-5vl6
    依存: <libXaw3d.so.7()(64bit)>
      Xaw3d-1.5E-6vl5
  gv-3.7.3-1vl7
    依存: <libXaw3d.so.7()(64bit)>
      Xaw3d-1.5E-6vl5

上記パッケージが依存しているため、Xaw3d の削除は行いません。
(0008148)
takezou06 (報告者)
2013-10-08 00:00

パッケージの依存関係ですが...
こちらの環境(32bit(パッケージはフルインストール))では、Xaw3dがあっても
なくても、問題なく動きました。

Xaw3dの削除はできました。

xpaint-2.9.9.4-1vl6は特に問題ありませんでした。
(画像(png)ファイルの読み込み、作成---OKでした。)

あと、先ほど気がつきましたが、
GNOME 等のメニューに表示対応用に(xpaint.desktop)が追加されたようです。
xpaint-2.9.9.4-2vl6は、未Checkです。
(0008149)
takezou06 (報告者)
2013-10-08 00:27

インストール関係(apt-get upgradeについて:
#apt-get upgradeで、xpaintが保留になってアップグレードができないことがあります

1)ローカルから[xpaint-2.7.8.1 導入済み]
#xpaint-2.7.8.1が導入済み(+(Xaw3d-1.5E-7vl6))
ローカルにファイルを置いて アップデートは、OK
 (rpm -Uvh xpaint-2.9.9.4 libXaw3dXft )==>Xaw3dは残ったまま。

2)ローカルから[xpaint-2.7.8.1は、無し]
#xpaint-2.7.8.1が導入済み(+(Xaw3d-1.5E-7vl6))
ローカルにファイルを置いて インストール(アップデート)は、OK
 (rpm -ivh xpaint-2.9.9.4 libXaw3dXft )
 (rpm -Uvh xpaint-2.9.9.4 libXaw3dXft )

3) apt-get install[xpaint-2.7.8.1 導入済み]
アップデートは、OK
 (apt-get install xpaint)==>Xaw3dは残ったまま。

4) apt-get install[xpaint-2.7.8.1は無い状態で]
インストールは、OK
 (apt-get install xpaint)

5)apt-get update; apt-get upgrade[xpaint-2.7.8.1 導入済み]
アップグレードされません。[xpaintが保留(xpaint-2.9.9.4-2vl6へあがらない)]


6)apt-get update; apt-get upgrade[xpaint-2.9.9.4-1vl6へあげておく]
アップグレードは。OK(xpaint-2.9.9.4-1vl6 -> xpaint-2.9.9.4-2vl6)
(0008151)
yasumichi (開発者)
2013-10-08 21:26

apt-get upgrade で xpaint が保留されるのは正常な動作です。

http://vinelinux.org/docs/vine6/cui-guide/using-rpm.html#using-rpm-2-3 [^]

xpaint の依存関係が変わって新たなパッケージのインストールが必要となるため、保留されます。このような場合、dist-upgrade でないと更新出来ません。

本来であれば、6.1 の間にこのような更新は避けるべきところですが、

●6.2 のリリースが近く、dist-upgrade が行われることが期待されること
●packager が明示されておらず、4年近くメンテされていなかったこと
●xpaint 自体へ依存するパッケージがないこと

を考慮して要望通りの対処としました。(問題があれば、お知らせください。 > all)
(0008154)
takezou06 (報告者)
2013-10-09 15:38

> apt-get upgrade で xpaint が保留されるのは正常な動作です。
了解しました。(対応&連絡 ありがとうごさいます。)

こちらの環境では、dist-upgradeを実行すると意図しないパッケージまで
あがってしまう可能性があります。(現時点で)

xpaint-2.7.8.1を導入済みのものは、入れなおし。(xpaint-2.9.9.4-2vl6へ)
xpaintが入っていないものは、新規(apt-get install など)で、対応する予定です。


xpaint-2.9.9.4-2vl6の[GNOME 等のメニューに表示対応用に(xpaint.desktop)]
を確認しました。==>OKです。xpaintがちゃんと起動できています。
(0008155)
daisuke (管理者)
2013-10-09 16:16

libXaw3d とlibXaw3dXftは別のライブラリであり、soname も違います。
共存可能な別ライブラリを Obsolete 指定することは望ましくありません。
(ABIはもちろんAPIも完全互換ではないようですし)

あらたな依存が発生して libXaw3dXft がインストールされたからといって、
それまで入っていた(別の共存可能なライブラリである)Xaw3dが消えることは
ありません。xpaintに限らず正しい動作です。

また、debian でいうところの autoremove はVine Linux のapt-rpmでは
実装されていません。(今後も実装されません)

upgrade/dist-upgrade については、現状では synaptic はデフォルトで
dist-upgrade 相当の動作をするようにしてあります。minor update では
dist-upgrade で問題になることはないようにしていますので、これで保留
されたからといって止めていると、本来必要なものも更新されない可能性が
高いです。一次的にテストするために保留することはあるかもしれませんが
公式には全部更新されることを想定しています。
(もちろんdist-upgradeが必要にならない更新が主としていることには変わ
りはありません)
(0008156)
yasumichi (開発者)
2013-10-09 20:15

 報告者のテストで今の所、問題が出ていないようなので一旦、クローズします。

- 課題の履歴
変更日 ユーザー名 項目 変更内容
2013-09-19 13:09 takezou06 新規課題
2013-10-05 11:30 yasumichi コメント追加: 0008140
2013-10-05 11:30 yasumichi 担当者 => yasumichi
2013-10-05 11:30 yasumichi 状態 新規 => 担当者決定
2013-10-05 11:32 yasumichi コメント追加: 0008141
2013-10-05 11:32 yasumichi 状態 担当者決定 => テスト待ち
2013-10-05 11:33 yasumichi コメント編集: 0008141 リビジョンを表示
2013-10-05 11:33 yasumichi コメント削除: 0008140
2013-10-07 02:15 takezou06 コメント追加: 0008144
2013-10-07 20:08 yasumichi コメント追加: 0008145
2013-10-07 20:08 yasumichi 状態 テスト待ち => 担当者決定
2013-10-07 20:21 yasumichi コメント追加: 0008146
2013-10-07 20:21 yasumichi 状態 担当者決定 => テスト待ち
2013-10-07 20:32 yasumichi コメント追加: 0008147
2013-10-08 00:00 takezou06 コメント追加: 0008148
2013-10-08 00:27 takezou06 コメント追加: 0008149
2013-10-08 21:26 yasumichi コメント追加: 0008151
2013-10-09 15:38 takezou06 コメント追加: 0008154
2013-10-09 16:16 daisuke コメント追加: 0008155
2013-10-09 20:15 yasumichi コメント追加: 0008156
2013-10-09 20:15 yasumichi 状態 テスト待ち => 完了
2013-10-09 20:15 yasumichi 解決状況 不明 => 実装済
2013-10-09 20:15 yasumichi 修正済バージョン => 6.1


Copyright © 2000 - 2018 MantisBT Team
Copyright © 2012 - 2018 Project Vine
Powered by Mantis Bugtracker